Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597425 - crash in dwarf_getlocation passed NULL first argument
Summary: crash in dwarf_getlocation passed NULL first argument
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: elfutils
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Roland McGrath
QA Contact: Petr Muller
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 22:05 UTC by Roland McGrath
Modified: 2016-09-20 02:06 UTC (History)
5 users (show)

Fixed In Version: elfutils-0.148-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:21:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roland McGrath 2010-05-28 22:05:46 UTC
dwarf_getlocation (-ldw) crashes when passed a NULL argument.  This is a regression from versions prior to 0.142, such as RHEL5's elfutils.

Comment 1 Roland McGrath 2010-05-28 22:06:25 UTC
Fixed upstream, will be in 0.148, should rebase.

Comment 5 Roland McGrath 2010-06-02 19:39:40 UTC
0.147->0.148 will be a minor release, and we control the elfutils package upstream, so this will be a safe rebase.

Comment 13 releng-rhel@redhat.com 2010-11-10 20:21:06 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.